=== debian/changelog ===
marknote (1.3.0-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Backport patch to make maildir selection work (Closes: #1091840).

 -- Patrick Franz <deltaone@debian.org>  Thu, 09 Jan 2025 07:09:05 +0100

marknote (1.3.0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 19:02:35 +0100

marknote (1.3.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Add qt6-declarative-private-dev as a B-D due to #1087385.
  * Use dh_qmldeps to detect QML dependencies.
  * Add myself as uploader.

 -- Patrick Franz <deltaone@debian.org>  Sun, 15 Dec 2024 10:49:22 +0100

marknote (1.3.0-2) experimental; urgency=medium

  * Team upload.

  [ Vincent Pinon ]
  * Update runtime dependencies (QML modules).

 -- Patrick Franz <deltaone@debian.org>  Sun, 03 Nov 2024 18:57:48 +0100

marknote (1.3.0-1) experimental; urgency=medium

  * Initial package. (Closes: #1079011)

 -- Vincent Pinon <vpinon@kde.org>  Fri, 16 Aug 2024 15:28:51 +0200
