## marknote 1.3.0+p24.04+vstable+git20250925.1428

=== debian/changelog ===
marknote (1.3.0+p24.04+vstable+git20250925.1428-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 25 Sep 2025 14:28:07 +0000

marknote (1.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 28 Jun 2024 13:51:20 +0000

marknote (1.2.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 23 May 2024 13:51:20 +0000

marknote (1.2.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 18 May 2024 13:51:25 +0000

marknote (1.1.1-1neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Mar 2024 22:26:01 +1000

marknote (1.0.0-1neon) jammy; urgency=medium

  * Initial release

 -- Neon CI <neon@kde.org>  Fri, 05 Jan 2024 23:35:01 +1000
