## marknote 1.3.0+p24.04+vstable+git20251015.1157

=== debian/changelog ===
marknote (1.3.0+p24.04+vstable+git20251015.1157-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:57:37 +0000
