## marknote 1.3.0+p24.04+vstable+git20251019.0151

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 include(FeatureSummary)
 
-set(QT_MIN_VERSION 6.4)
-set(KF_MIN_VERSION 5.240)
+set(QT_MIN_VERSION 6.6)
+set(KF_MIN_VERSION 6.8)
 set(KPIM_MIME_VERSION "6.1.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
@@ -32,6 +32,8 @@
 include(KDEGitCommitHooks)
 include(ECMAddAppIcon)
 include(ECMAddTests)
+include(ECMDeprecationSettings)
+include(ECMQmlModule)
 
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX MARKNOTE
@@ -39,19 +41,22 @@
 )
 
 find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml QuickControls2 Svg)
-find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami I18n Config CoreAddons ColorScheme XmlGui Crash)
-find_package(KF6BreezeIcons ${KF_MIN_VERSION} QUIET)
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami I18n Config CoreAddons IconThemes ColorScheme XmlGui)
 if (NOT ANDROID)
     find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
+    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Crash)
 endif()
 if (BUILD_TESTING)
     find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Test)
 endif()
 
-find_package(KF6KirigamiAddons 1.3.0 REQUIRED)
+find_package(KF6KirigamiAddons 1.7.0 REQUIRED)
 set_package_properties(KF6KirigamiAddons PROPERTIES
     TYPE REQUIRED
     PURPOSE "Required application components and runtime dependency"
+)
+ecm_set_disabled_deprecation_versions(QT 6.9.0
+    KF 6.16.0
 )
 
 find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
@@ -63,8 +68,6 @@
     URL "https://github.com/mity/md4c"
     PURPOSE "Improve output of markdown to html conversion"
 )
-
-qt_policy(SET QTP0001 NEW)
 
 add_definitions(-DQT_NO_FOREACH -DQT_NO_KEYWORDS)
