=== debian/changelog ===
marknote (1.3.0+p24.04+vstable+git20251019.0151-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 01:51:17 +0000
