=== debian/control ===
Source: marknote
Section: kde
Priority: optional
Uploaders: KDE Neon <neon@kde.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kxmlgui-dev,
               kpim6-kmime-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org
Vcs-Git: https://invent.kde.org/neon/neon-packaging/marknote.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/marknote
Maintainer: Neon CI <neon@kde.org>

Package: marknote
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Markdown is a simple markdown note management app.
 This package is part of the KDE office module.
