## marknote 1.3.0+p24.04+vstable+git20251028.1006

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,16 @@
 # SPDX-License-Identifier: BSD-3-Clause
 # SPDX-FileCopyrightText: 2021 Mathis Brüchert <mbb-mail@gmx.de>
 
-qt_add_qml_module(marknote_static STATIC
+add_library(marknote_static STATIC)
+ecm_add_qml_module(marknote_static
     URI org.kde.marknote
+    GENERATE_PLUGIN_SOURCE
     QML_FILES
         qml/Main.qml
         qml/MainEditor.qml
         qml/NotesPage.qml
         qml/NoteMetadataDialog.qml
         qml/WelcomePage.qml
-        qml/ContextMenu.qml
-        qml/KQuickCommandBarPage.qml
-        qml/KActionFromAction.qml
 
         # Notebook
         qml/NotebookContextMenu.qml
@@ -30,9 +29,7 @@
         qml/TextFieldContextMenu.qml
 
         qml/components/ActionButton.qml
-        qml/components/BottomDrawer.qml
         qml/components/DoubleActionButton.qml
-        qml/components/RadioSelector.qml
         qml/FormIconDelegate.qml
 
         # Native menu
@@ -41,29 +38,26 @@
         qml/NativeFileMenu.qml
         qml/NativeEditMenu.qml
         qml/GlobalMenuBar.qml
-        qml/NativeMenuItemFromAction.qml
 
     SOURCES
-        documenthandler.cpp
-        notesmodel.cpp
-        notebooksmodel.cpp
+        documenthandler.cpp documenthandler.h
+        notesmodel.cpp notesmodel.h
+        notebooksmodel.cpp notebooksmodel.h
         nestedlisthelper.cpp
         nestedlisthelper_p.h
-        navigationcontroller.cpp
+        navigationcontroller.cpp navigationcontroller.h
         application.cpp
-        actionsmodel.cpp
-        commandbarfiltermodel.cpp
+        application.h
         tableactionhelper.cpp
+        tableactionhelper.h
         config.cpp
-        windowcontroller.cpp
-        colorschemer.cpp
-        foreigntypes.h
-
+        config.h
+        colorschemer.cpp colorschemer.h
         maildirimport.cpp
         maildirimport.h
 )
 
-kconfig_add_kcfg_files(marknote_static GENERATE_MOC marknotesettings.kcfgc)
+kconfig_target_kcfg_file(marknote_static FILE marknotesettings.kcfg CLASS_NAME Config MUTATORS GENERATE_PROPERTIES GENERATE_MOC DEFAULT_VALUE_GETTERS PARENT_IN_CONSTRUCTOR QML_REGISTRATION SINGLETON)
 
 add_subdirectory(settings)
 
@@ -78,12 +72,20 @@
     KF6::ConfigCore
     KF6::ConfigGui
     KF6::CoreAddons
+    KF6::IconThemes
     KF6::ColorScheme
     KF6::XmlGui
-    KF6::Crash
     KPim6::Mime
+    KirigamiAddonsStatefulApp
 )
+if (TARGET KF6::Crash)
+   target_link_libraries(marknote_static PRIVATE KF6::Crash)
+endif()
 
+if(TARGET KF6::I18nQml)
+target_link_libraries(marknote_static PUBLIC
+        KF6::I18nQml)
+endif()
 target_link_libraries(marknote_static PRIVATE settingsplugin)
 
 if (TARGET md4c::md4c-html)
@@ -91,13 +93,6 @@
 endif()
 
 add_executable(marknote main.cpp)
-
-if(TARGET KF6::BreezeIcons)
-    target_link_libraries(marknote PUBLIC
-        KF6::BreezeIcons
-    )
-    target_compile_definitions(marknote PRIVATE WITH_BREEZEICONS_LIB)
-endif ()
 
 file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/*-apps-org.kde.marknote.png")
 ecm_add_app_icon(marknote ICONS
