=== debian/changelog ===
marknote (1.3.0+p24.04+vstable+git20251028.1006-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:06:53 +0000
