## marknote 1.3.0+p24.04+vstable+git20251210.0046

=== debian/changelog ===
marknote (1.3.0+p24.04+vstable+git20251210.0046-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Dec 2025 00:46:21 +0000
