## marknote 1.3.0+p24.04+vstable+git20260126.1222

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-FileCopyrightText: 2021 Mathis Brüchert <mbb-mail@gmx.de>
 # SPDX-License-Identifier: BSD-3-Clause
 
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.20)
 
 # TODO move to release service
 set(RELEASE_SERVICE_VERSION_MAJOR "1")
-set(RELEASE_SERVICE_VERSION_MINOR "3")
-set(RELEASE_SERVICE_VERSION "1.3.0")
+set(RELEASE_SERVICE_VERSION_MINOR "4")
+set(RELEASE_SERVICE_VERSION "1.4.1")
 
 project(marknote VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -41,7 +41,12 @@
 )
 
 find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml QuickControls2 Svg)
-find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami I18n Config CoreAddons IconThemes ColorScheme XmlGui)
+find_package(Qt6 ${QT_MIN_VERSION} OPTIONAL_COMPONENTS DBus)
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami I18n Config CoreAddons IconThemes ColorScheme)
+
+find_package(KF6WindowSystem ${KF_MIN_VERSION} QUIET)
+find_package(KF6Runner ${KF_MIN_VERSION} QUIET)
+
 if (NOT ANDROID)
     find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
     find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Crash)
@@ -56,7 +61,7 @@
     PURPOSE "Required application components and runtime dependency"
 )
 ecm_set_disabled_deprecation_versions(QT 6.9.0
-    KF 6.16.0
+    KF 6.19.0
 )
 
 find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
@@ -79,6 +84,10 @@
 install(FILES org.kde.marknote.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 install(FILES org.kde.marknote.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
 
+if (NOT ANDROID AND NOT WIN32 AND NOT APPLE)
+    install(FILES plasma-runner-marknote.desktop DESTINATION ${KDE_INSTALL_DATAROOTDIR}/krunner/dbusplugins)
+endif()
+
 ecm_qt_install_logging_categories(
     EXPORT MARKNOTE
     FILE marknote.categories
