## marknote 1.3.0+p24.04+vunstable+git20251212.0301

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-FileCopyrightText: 2021 Mathis Brüchert <mbb-mail@gmx.de>
 # SPDX-License-Identifier: BSD-3-Clause
 
-cmake_minimum_required(VERSION 3.20)
+cmake_minimum_required(VERSION 3.16)
 
 # TODO move to release service
 set(RELEASE_SERVICE_VERSION_MAJOR "1")
-set(RELEASE_SERVICE_VERSION_MINOR "4")
-set(RELEASE_SERVICE_VERSION "1.4.1")
+set(RELEASE_SERVICE_VERSION_MINOR "3")
+set(RELEASE_SERVICE_VERSION "1.3.0")
 
 project(marknote VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -41,12 +41,7 @@
 )
 
 find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml QuickControls2 Svg)
-find_package(Qt6 ${QT_MIN_VERSION} OPTIONAL_COMPONENTS DBus)
-find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami I18n Config CoreAddons IconThemes ColorScheme)
-
-find_package(KF6WindowSystem ${KF_MIN_VERSION} QUIET)
-find_package(KF6Runner ${KF_MIN_VERSION} QUIET)
-
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami I18n Config CoreAddons IconThemes ColorScheme XmlGui)
 if (NOT ANDROID)
     find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
     find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Crash)
@@ -84,10 +79,6 @@
 install(FILES org.kde.marknote.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 install(FILES org.kde.marknote.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
 
-if (NOT ANDROID AND NOT WIN32 AND NOT APPLE)
-    install(FILES plasma-runner-marknote.desktop DESTINATION ${KDE_INSTALL_DATAROOTDIR}/krunner/dbusplugins)
-endif()
-
 ecm_qt_install_logging_categories(
     EXPORT MARKNOTE
     FILE marknote.categories
