=== debian/changelog ===
marknote (1.3.0+p24.04+vunstable+git20251212.0301-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Dec 2025 03:01:38 +0000
