=== debian/control ===
--- 
+++ 
@@ -14,6 +14,8 @@
                kf6-kirigami2-dev,
                kf6-kxmlgui-dev,
                kpim6-kmime-dev,
+               libmd4c-dev,
+               libmd4c-html0-dev,
                pkg-kde-tools-neon,
                qt6-base-dev
 Standards-Version: 4.6.2
