## marknote 1.3.0+p24.04+vunstable+git20260105.1357

=== debian/changelog ===
marknote (1.3.0+p24.04+vunstable+git20260105.1357-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 13:57:41 +0000
