## marknote 1.3.0+p24.04+vunstable+git20260129.0333

=== debian/changelog ===
marknote (1.3.0+p24.04+vunstable+git20260129.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 03:33:51 +0000
