=== debian/changelog ===
marknote (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Bump version requirements for build-dep.
  * debian/patches: Drop unneeded backported patches.
  * debian/control: Bump Standards-Version to 4.7.3.
  * debian/copyright: Refresh information.
  * debian/watch: Update to version 5.

 -- Boyuan Yang <byang@debian.org>  Fri, 06 Feb 2026 17:42:57 -0500
