=== debian/control ===
Source: marknote
Section: kde
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Vincent Pinon <vpinon@kde.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0.0~),
               kirigami-addons-dev (>= 1.7.0~),
               libkf6breezeicons-dev (>= 6.8~),
               libkf6colorscheme-dev (>= 6.8~),
               libkf6config-dev (>= 6.8~),
               libkf6coreaddons-dev (>= 6.8~),
               libkf6crash-dev (>= 6.8~),
               libkf6i18n-dev (>= 6.8~),
               libkf6iconthemes-dev (>= 6.8~),
               libkf6xmlgui-dev (>= 6.8~),
               libkirigami-dev (>= 6.0.0~),
               libkmime-dev (>= 24.12.0),
               libmd4c-dev,
               libxkbcommon-dev (>= 0.5.0),
               pkgconf,
               qt6-base-dev (>= 6.6~),
               qt6-declarative-dev (>= 6.6~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.6~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/office/marknote
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/marknote
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/marknote
Description: Simple markdown note management app
 It supports a wide range of formatting options useful for taking notes,
 like bold, italic, underlined and strike through fonts as well as headings,
 lists, check boxes, images and more.

Package: marknote
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
