=== debian/watch ===
Version: 5

Source: https://download.kde.org/stable/marknote/
Matching-Pattern: @PACKAGE@-([\d.]+).tar.xz
Pgpsigurlmangle: s/$/.sig/
